##### 7.5.4.0. isHolonomic

Procedure from library `dmod.lib` (see dmod_lib).

Usage:
  isHolonomic(M); M an ideal/module/matrix

Return:
  int, 1 if M is holonomic over the base ring, and 0 otherwise

Assume:
  basering is a Weyl algebra in characteristic 0

Purpose:
  check whether M is holonomic over the base ring

Note:
  M is holonomic if 2*dim(M) = dim(R), where R is the
  base ring; dim stands for Gelfand-Kirillov dimension

Example:

    LIB "dmod.lib";
    ring R = 0,(x,y),dp;
    poly F = x*y*(x+y);
    def A = annfsBM(F,0);
    setring A;
    LD;
    ==> LD[1]=x*Dx+y*Dy+3
    ==> LD[2]=x*y*Dy+y^2*Dy+x+2*y
    ==> LD[3]=y^2*Dx*Dy-y^2*Dy^2+2*y*Dx-4*y*Dy-2
    isHolonomic(LD);
    ==> 1
    ideal I = std(LD[1]);
    I;
    ==> I[1]=x*Dx+y*Dy+3
    isHolonomic(I);
    ==> 0

User manual for Singular version 4.4.1, 2025, generated by texi2html.